clear all
clc
close all

%návrh FIR filtrů metodou okénka
% signaly=load('signaly_f_ADP9_2');
% signal=signaly.signaly_f_ADP9_2;
signaly=load('signaly_zkraceno');
signal=signaly.signaly_zkraceno;
jmena=[];
svody={};
ffz=[];
 for i=1:1
sig=signal(i,:);
x=signal(i,:);
x = x - mean(x);
sig=sig - mean(sig);
fvz=500;
n = 1:1:length(x); 
A=50;
brum =A*cos(2*pi*50*n/fvz);
x=x+brum;
x=x-mean(x);
N=1000;
f=50;
fvz=500;
b = fir1(N,[(49.5/(fvz/2)) (50.5/(fvz/2))], 'stop');
figure(1)
f=[b(1,1:N/2) b(1,N/2+2:end)];
stem(1:N,f,'-');
title('impulzní charakteristika')
Ham=20*log10(abs(freqz(b,1,250)));
L = 100;
 s= linspace(0,fvz-(fvz/5000),5000);
figure(2)
 o=impz(b);
 f=[o(1:(N/2),1);o((N/2)+1:end,1)];
stem(0:N,f,'-');
title('impulzní charakteristika')
 a = 1;
y = filter(b, a, x);
zac=500;
kon=4500;
figure(3)
 subplot(2,1,1)
y=y(1,((N-1)/2):end);
rozdil=[];
for d=zac:kon
    rozdil=[rozdil y(1,d)-sig(1,d-1)];
end
rozdilovy=[];
plot(y(zac:kon))
 hold on
  plot(sig(zac:kon))
  ylabel('U[\muV]')
  title('filtrovaný a původní signál')
   xlabel('n[-]')
 subplot(2,1,2)
 plot(rozdil)
 ylabel('U[\muV]')
 title('rozdílový signál')
 xlabel('n[-]')
figure(101)
freqz(b,1,50000,'whole',500)
title('Amplitudová a fázová charakteristika')
 end


